Skip to main content
GET
/
api
/
v2
/
reservations
/
{reservationID}
Get reservation
curl --request GET \
  --url https://reservation.nks.europe-west4.nscale.com/api/v2/reservations/{reservationID} \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
    "name": "gb300-nvl72",
    "organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
    "projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
    "creationTime": "2026-04-28T10:45:45Z",
    "createdBy": "john.doe@example.com",
    "provisioningStatus": "pending",
    "healthStatus": "healthy",
    "tags": [
      {
        "name": "workload",
        "value": "training"
      }
    ]
  },
  "spec": {
    "regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
    "accelerator": "GB300",
    "unit": "NVL72",
    "count": 2
  },
  "status": {
    "machineFlavorId": "g.72.gb300.pinned",
    "claimedUnitCount": 2,
    "topologyHash": "sha256:4fd768f7a87c07aa81e7af8a765cdeaa0f7fe671052f3acbeec918522d026d2e",
    "topologyObservedAt": "2026-05-14T10:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

reservationID
string
required

The reservation ID. A Kubernetes name. Must be a valid DNS label containing only lower case characters, numbers or hyphens, start and end with a character or number, and be at most 63 characters in length.

Required string length: 1 - 63

Response

A reservation.

A reservation.

metadata
object
required

Metadata required by project scoped resource reads.

spec
object
required

A reservation's specification.

status
object
required

Read only status information about a reservation.